Bug 861040 - nodejs app can not be stopped after add hot_deploy marker
nodejs app can not be stopped after add hot_deploy marker
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Bill DeCoste
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-27 07:28 EDT by Meng Bo
Modified: 2015-05-14 19:00 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-06 13:50:19 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Meng Bo 2012-09-27 07:28:21 EDT
Description of problem:
After add hot_deploy marker to nodejs app, the app cannot be stopped by rhc cli or ctl_app.sh

Version-Release number of selected component (if applicable):
devenv_2242

How reproducible:
always

Steps to Reproduce:
1.Create nodejs app
2.Add hot_deploy marker
3.Try to stop the app
  
Actual results:
App will keep running status all the time. And can be accessed via web browser.

# rhc app status no1

RESULT:
Application 'no1' is running

# rhc app stop no1

RESULT:
Success

# rhc app status no1

RESULT:
Application 'no1' is running


Expected results:
App can be stopped.

Additional info:
development log:
==========================
[32746] INFO  Started POST "/broker/cartridge" for 203.114.244.88 at Thu Sep 27 07:23:19 -0400 2012
[32746] INFO    Processing by LegacyBrokerController#cartridge_post as 
[32746] INFO    Parameters: {"password"=>"[FILTERED]", "json_data"=>"{\"app_name\":\"no1\",\"api\":\"1.1.3\",\"rhlogin\":\"bmeng@redhat.com\",\"action\":\"stop\"}"}
[32746] DEBUG User-Agent = 'rhc/0.99.2 (ruby 1.8.7; i686-linux)'
[32746] DEBUG MongoDataStore.find(CloudUser, bmeng@redhat.com, bmeng@redhat.com)
[32746] DEBUG DEBUG: rpc_exec_direct: rpc_client=#<MCollective::RPC::Client:0x7ff9be21d648>
[32746] DEBUG DEBUG: rpc_client.custom_request('cartridge_do', {:cartridge=>"nodejs-0.6", :action=>"stop", :args=>"'no1' 'bmengdev' 'dea07f2c077c41d1bc1a484086d5dc34'"}, @id, {'identity' => @id})
[32746] DEBUG DEBUG: [#<MCollective::RPC::Result:0x7ff9be1bec88 @results={:statusmsg=>"OK", :statuscode=>0, :data=>{:exitcode=>0, :output=>"Existing hot deploy marker will remain unchanged\nATTR: status=ALREADY_STOPPED\n"}, :sender=>"ip-10-140-3-15"}, @action="cartridge_do", @agent="stickshift">]
[32746] DEBUG DEBUG: Cartridge command nodejs-0.6::stop exitcode = 0
[32746] DEBUG [REQ_ID=3360ace9b15249b89b127fb07f0246d6] ACTION=LEGACY_CARTRIDGE_POST Processed event stop for application no1
[32746] INFO  Completed 200 OK in 657ms (Views: 1.7ms)
Comment 1 John Poelstra 2012-09-28 14:58:25 EDT
we believe this is fixed in the "typeless fork"
Comment 2 Xiaoli Tian 2012-09-28 23:40:02 EDT
According to Comment1, move it to ON_QA to verify on the latest US2105 fork_ami
Comment 3 Jianwei Hou 2012-09-29 01:21:41 EDT
Verified on fork_ami_2105_189

Steps:
1.Create nodejs app
2.Add hot_deploy marker and git push
3.Try to stop the app

Result:
hjw@my nodejs1$ rhc app stop -a nodejs1 
Password: ******


RESULT:
Success
hjw@my nodejs1$ rhc app status -a nodejs1
Password: ***


RESULT:
Application 'nodejs1' is either stopped or inaccessible

Access webpage, service is unavailable.

Note You need to log in before you can comment on or make changes to this bug.